# Stage 1

FROM node:alpine AS build-image

WORKDIR /app

COPY . .

RUN npm ci && npm run build

# Stage 2

FROM nginx:alpine

COPY --from=build-image /app/dist/app-fe /usr/share/nginx/html

EXPOSE 80
